Page MenuHomePhabricator

Build out article concatenation according to requirements for books
Closed, ResolvedPublic

Description

Background

In T163272: [Spike] Determine changes necessary for concatenation support and T168004: [Spike 6hrs] Investigate ability of vivliostyle to render single articles (patch), various methods were researched and implemented for the support of concatenating articles into books.

In T171964: [Spike - 8 hrs] Where should article concatenation be implemented?, we decided to continue with the latter.

AC

Notes

  1. @Tgr's WIP change (rECOL4b3c779b922b: [WIP] Concatenate pages and send to Electron) can and should be tidied up to achieve this

Related Objects

StatusAssignedTask
OpenJKatzWMF
InvalidNone
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Resolvedpmiazga
Resolvedphuedx
Resolvedovasileva
Invalidovasileva
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
InvalidNone
Resolvedovasileva
InvalidNone
Resolved dpatrick

Event Timeline

bmansurov updated the task description. (Show Details)Jul 28 2017, 3:08 PM
ovasileva updated the task description. (Show Details)Jul 28 2017, 3:20 PM
ovasileva changed the task status from Stalled to Open.Jul 28 2017, 4:02 PM
ovasileva updated the task description. (Show Details)Aug 10 2017, 2:22 PM
phuedx updated the task description. (Show Details)Aug 10 2017, 2:25 PM
bmansurov updated the task description. (Show Details)Aug 10 2017, 2:27 PM
bmansurov updated the task description. (Show Details)Aug 17 2017, 5:37 PM
bmansurov updated the task description. (Show Details)Aug 18 2017, 4:26 PM
bmansurov updated the task description. (Show Details)Aug 18 2017, 4:29 PM
bmansurov moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

I've started a repo at https://github.com/kodchi/ppg that will contain the script.

bmansurov reassigned this task from bmansurov to Tgr.Aug 24 2017, 5:14 PM
bmansurov added a subscriber: bmansurov.
phuedx updated the task description. (Show Details)Aug 25 2017, 3:33 PM

Change 361453 had a related patch set uploaded (by Phuedx; owner: Gergő Tisza):
[mediawiki/extensions/Collection@master] [WIP] Concatenate pages and send to Electron

https://gerrit.wikimedia.org/r/361453

phuedx added a subscriber: phuedx.EditedAug 29 2017, 3:28 PM

@Tgr also mentioned that he's looking for review on https://gerrit.wikimedia.org/r/#/c/356991/, which adds the offline MediaWiki-Vagrant role.

ovasileva moved this task from Triage to Current Sprint on the Proton board.Aug 30 2017, 5:02 PM

Hi @Tgr, we're planning the next sprint and sorting out whether deployment is possible within the next two weeks. Could you give an update on progress?

Change 376486 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Add ElectronVirtualRestService class

https://gerrit.wikimedia.org/r/376486

Tgr added a comment.Sep 7 2017, 10:19 AM

Hi @Tgr, we're planning the next sprint and sorting out whether deployment is possible within the next two weeks. Could you give an update on progress?

Created a service wrapper for Electron (see comment above), the lack of which was the last big hack in the concatenation patch. I'll finish the unit tests tomorrow, and remove the temporary UI, afterwards it should be ready for review.

Thanks @Tgr - could you ping on task or move to the review column when you're ready?

Change 376486 abandoned by Gergő Tisza:
Add ElectronVirtualRestService class

https://gerrit.wikimedia.org/r/376486

bmansurov added a comment.EditedSep 12 2017, 8:13 PM

The main patches have been merged. Thanks, Gergo.

I've left some comments about follow up work at https://gerrit.wikimedia.org/r/#/c/361453/. Copy & pasting here for easy referral:

  1. Add a cover page;
  2. Add the list of images used and their license infos;
  3. Add the content license info;
  4. The table of contents items are both underlined and have dotted lines. Remove one or the other, or the both until we add page numbers.
  5. Generate the table of contents in a separate page, i.e. the next article/chapter should not be on the same page.

Change 361453 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Concatenate pages and send to Electron

https://gerrit.wikimedia.org/r/361453

A note for @Tgr, @bmansurov - prior to deployment we should make sure everything is available and testable in the staging server. Should we create a separate task for adding the articles/books we'd like to test or just do it here?

@ovasileva creating articles for testing should be done elsewhere imo.

@Tgr, any plans on working on the remaining bits mentioned at T171838#3602041? Or should we do the rest?

bmansurov added a comment.EditedSep 13 2017, 4:36 PM

@ovasileva here is a sample book generated using the above patches:

A link to proton staging will follow so you can test yourself too. Setting things up on proton staging is a little involved than I hoped for. I think we should just wait for Gergo to deploy his stuff.

@Tgr - I will open the task about the additions separately. Does it make sense to keep this one for testing and deployment?

Tgr added a comment.Sep 13 2017, 6:12 PM

No, I'll open a separate task about that.

Sounds good. I think we can sign off on this now, but leaving it open in case anyone has concerns.

Change 377936 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/Collection@wmf/1.30.0-wmf.18] Concatenate pages and send to Electron

https://gerrit.wikimedia.org/r/377936

I'll sign off this today

I'm still on it

MBinder_WMF reassigned this task from Tgr to pmiazga.Sep 20 2017, 5:03 PM

Looks clear, all requirements are tackled and we can test the article concatenation. Well done @Tgr and @bmansurov!

pmiazga closed this task as Resolved.Sep 20 2017, 8:42 PM

Change 377936 abandoned by Gergő Tisza:
Concatenate pages and send to Electron

Reason:
already going out with the train

https://gerrit.wikimedia.org/r/377936